For the complete documentation index, see llms.txt. This page is also available as Markdown.

Rinex

get

Get RINEX v3 files for a specific station

Path parameters
stationIdstring · min: 4 · max: 4Required

Specific station ID.

Example: ABEPPattern: ^[a-zA-Z0-9]*$
Query parameters
dataFrequencystringOptional

Parameter that selects the data frequency for a query. If the parameter is omitted then the query will proceed as if 30S data has been requested. Ephemeris files do not have a data frequency, and will be returned regardless of the dataFrequency parameter. Every organisation has access to 30S data. Access to 01S data is restricted to organisations on the Public Sector Plan.

Example: {"value":"30S","summary":"Data every 30 seconds"}
Responses
200

Returns the list of available files

application/json

Information about a specific download file that is made available through this API.

urlstring · uriRequired

Getting this URL will return a HTTP redirect to the actual data.

Example: https://api.os.uk/positioning/osnet/v1/stations/ABEP/rinex/ABEP00GBR_S_20243550100_01H_30S_MO.rnx.zip
fileNamestringRequired

The name of the file.

Example: ABEP00GBR_S_20243550100_01H_30S_MO.rnx.zip
sizeinteger · int64Optional

The file size, in bytes.

Example: 1234
md5stringOptional

A MD5 checksum of the file data. This can be used to verify the integrity of the data once you have downloaded it.

Example: 2f9dd13abd56140afa3b5621e8864f59
formatstringOptional

This describes the format of the data.

Example: RINEX
subformatstringOptional

This describes the subformat of the data.

Example: 3
stationstring · min: 4 · max: 4OptionalExample: ABEP
startstring · date-timeOptionalExample: 2024-12-31T01:00:00
durationstringOptional

The duration that this file covers, using RINEX filename conventions.

Example: 01H
dataFrequencystringOptional

The data frequency of this file, using RINEX filename conventions.

Example: 30S
percentageCompleteinteger · max: 100Optional

Health percentage, based on expected and actual data in the file

get/stations/{stationId}/rinex
GET /positioning/osnet/v1/stations/{stationId}/rinex?RequiredTemporalParameters=[object+Object] HTTP/1.1
Host: api.os.uk
Accept: */*
[
  {
    "url": "https://api.os.uk/positioning/osnet/v1/stations/ABEP/rinex/ABEP00GBR_S_20243550100_01H_30S_MO.rnx.zip",
    "fileName": "ABEP00GBR_S_20243550100_01H_30S_MO.rnx.zip",
    "size": 1234,
    "md5": "2f9dd13abd56140afa3b5621e8864f59",
    "format": "RINEX",
    "subformat": "3",
    "station": "ABEP",
    "start": "2024-12-31T01:00:00",
    "duration": "01H",
    "dataFrequency": "30S",
    "percentageComplete": 1
  }
]
get

List the years that have RINEX data available

Responses
200

List the years that have RINEX data available

application/json
titlestringRequired
descriptionstringRequired
get/rinex
GET /positioning/osnet/v1/rinex HTTP/1.1
Host: api.os.uk
Accept: */*
200

List the years that have RINEX data available

{
  "title": "OS Net API RINEX data years",
  "description": "List the years that have RINEX data available",
  "links": [
    {
      "href": "https://api.os.uk/positioning/osnet/v1/rinex",
      "rel": "self",
      "type": "application/json",
      "title": "Self link",
      "description": "This document"
    },
    {
      "href": "https://api.os.uk/positioning/osnet/v1/rinex/2024",
      "rel": "service-endpoint",
      "type": "application/json",
      "title": 2024,
      "description": "List RINEX data days for 2024"
    }
  ]
}
get

List the days that have RINEX data available, for the given year

Path parameters
yearinteger · int32 · min: 2024Required

The year to be queried

Responses
200

List the days that have RINEX data available, for the given year

application/json
titlestringRequired
descriptionstringRequired
get/rinex/{year}
GET /positioning/osnet/v1/rinex/{year} HTTP/1.1
Host: api.os.uk
Accept: */*
200

List the days that have RINEX data available, for the given year

{
  "title": "OS Net API RINEX data days",
  "description": "List the days that have RINEX data available, for the given year",
  "links": [
    {
      "href": "https://api.os.uk/positioning/osnet/v1/rinex/2024",
      "rel": "self",
      "type": "application/json",
      "title": "Self link",
      "description": "This document"
    },
    {
      "href": "https://api.os.uk/positioning/osnet/v1/rinex/2024/1",
      "rel": "service-endpoint",
      "type": "application/json",
      "title": 1,
      "description": "List RINEX data files for 2024 day 1"
    },
    {
      "href": "https://api.os.uk/positioning/osnet/v1/rinex/2024/2",
      "rel": "service-endpoint",
      "type": "application/json",
      "title": 2,
      "description": "List RINEX data files for 2024 day 2"
    }
  ]
}
get

List the files available via this service, for the given year and day

Path parameters
yearinteger · int32 · min: 2024Required

The year to be queried

dayOfYearinteger · min: 1 · max: 366Required

The day to be queried, within the given year

Query parameters
dataFrequencystringOptional

Parameter that selects the data frequency for a query. If the parameter is omitted then the query will proceed as if 30S data has been requested. Ephemeris files do not have a data frequency, and will be returned regardless of the dataFrequency parameter. Every organisation has access to 30S data. Access to 01S data is restricted to organisations on the Public Sector Plan.

Example: {"value":"30S","summary":"Data every 30 seconds"}
Responses
200

List the days available via this service, for the given year and day

application/json

Information about a specific download file that is made available through this API.

urlstring · uriRequired

Getting this URL will return a HTTP redirect to the actual data.

Example: https://api.os.uk/positioning/osnet/v1/stations/ABEP/rinex/ABEP00GBR_S_20243550100_01H_30S_MO.rnx.zip
fileNamestringRequired

The name of the file.

Example: ABEP00GBR_S_20243550100_01H_30S_MO.rnx.zip
sizeinteger · int64Optional

The file size, in bytes.

Example: 1234
md5stringOptional

A MD5 checksum of the file data. This can be used to verify the integrity of the data once you have downloaded it.

Example: 2f9dd13abd56140afa3b5621e8864f59
formatstringOptional

This describes the format of the data.

Example: RINEX
subformatstringOptional

This describes the subformat of the data.

Example: 3
stationstring · min: 4 · max: 4OptionalExample: ABEP
startstring · date-timeOptionalExample: 2024-12-31T01:00:00
durationstringOptional

The duration that this file covers, using RINEX filename conventions.

Example: 01H
dataFrequencystringOptional

The data frequency of this file, using RINEX filename conventions.

Example: 30S
percentageCompleteinteger · max: 100Optional

Health percentage, based on expected and actual data in the file

get/rinex/{year}/{dayOfYear}
GET /positioning/osnet/v1/rinex/{year}/{dayOfYear} HTTP/1.1
Host: api.os.uk
Accept: */*
[
  {
    "url": "https://api.os.uk/positioning/osnet/v1/rinex/2024/001/EPHM00GBR_S_20240010000_01D_MN.rnx.zip",
    "filename": "EPHM00GBR_S_20241470000_01D_MN.rnx.zip",
    "size": "1234,",
    "md5": "2f9dd13abd56140afa3b5621e8864f59",
    "format": "RINEX",
    "subformat": 3
  }
]
get

Get a specific RINEX v3 file

Path parameters
yearinteger · int32 · min: 2024Required

The year to be queried

dayOfYearinteger · min: 1 · max: 366Required

The day to be queried, within the given year

filenamestringRequired

Name of the file

Example: ABEP00GBR_S_20243550100_01H_30S_MO.rnx
Responses
200

Returns the requested RINEX file

application/octet-stream
string · binaryOptional
get/rinex/{year}/{dayOfYear}/{filename}
GET /positioning/osnet/v1/rinex/{year}/{dayOfYear}/{filename} HTTP/1.1
Host: api.os.uk
Accept: */*
binary

Last updated

Was this helpful?